Installing ImageMagick in Linux CentOS with YUM


Logo for ImageMagick
Image via Wikipedia

It may look simple when you read the label, but it has a capability to ruin your life. Yeah man!, try to install the latest version of ImageMagick-6.5 in your Linux (remember it’s not windows) OS which will throw a big list of dependency (packages) failures.

As is always the case with RedHat, Fedora and CentOS (may be more), a number of packages in the usual yum repositories lack heavily behind the advancements made by their authors and teams. One such package is ImageMagick, which has the version of 6.2.8 in repositories whereas the latest version is 6.5.

Recently we had to upgrade this package to the latest for one of our image manipulation project, since the latest version had several improvements with the image processing. Most of the time I just go and upgrade the existing repositories, search for the new repositories, then see if anything helps me out, naaaa, none of these procedure will helped me.

Finally, I wanted to give a chance to ImageMagick’s source, I download the latest version, uncompressed then compiled it, which thrown me a big list of errors, which is obvious 🙂 . I started looking at errors and came up with the list of dependencies it lacks (which is normal for any Linux OS), most of them are devel libraries (see below).

Continue reading “Installing ImageMagick in Linux CentOS with YUM”

Advertisements
Installing ImageMagick in Linux CentOS with YUM